Bug 604264 - abrt kernel crash: WARNING: at net/mac80211/scan.c:312 ieee80211_scan_completed+0x5f/0x1f1 [mac80211]()
Summary: abrt kernel crash: WARNING: at net/mac80211/scan.c:312 ieee80211_scan_complet...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 604266
TreeView+ depends on / blocked
 
Reported: 2010-06-15 18:29 UTC by John W. Linville
Modified: 2010-07-13 07:49 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32.16-141.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of: 590436
: 604266 (view as bug list)
Environment:
Last Closed: 2010-07-13 07:49:06 UTC
Type: ---


Attachments (Terms of Use)

Description John W. Linville 2010-06-15 18:29:33 UTC
+++ This bug was initially created as a clone of Bug #590436 +++

Description of problem:
While I make a suspend/resume cycle I see this crash in abrt

WARNING: at net/mac80211/scan.c:312 ieee80211_scan_completed+0x5f/0x1f1 [mac80211]()
Hardware name: Latitude E5400                  
Modules linked in: aes_x86_64 aes_generic fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel iwlagn snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlcore snd_pcm dell_wmi sdhci_pci sdhci iTCO_wdt tg3 dell_laptop mmc_core i2c_i801 wmi mac80211 snd_timer iTCO_vendor_support btusb joydev dcdbas cfg80211 bluetooth snd soundcore microcode rfkill snd_page_alloc firewire_ohci firewire_core crc_itu_t yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Pid: 979, comm: iwlagn Tainted: G        W  2.6.33.3-85.fc13.x86_64 #1
Call Trace:
[<ffffffff8104b558>] warn_slowpath_common+0x77/0x8f
[<ffffffff8104b57f>] warn_slowpath_null+0xf/0x11
[<ffffffffa01bb7d9>] ieee80211_scan_completed+0x5f/0x1f1 [mac80211]
[<ffffffffa02a23f0>] iwl_bg_scan_completed+0xbb/0x17a [iwlcore]
[<ffffffff81060d3d>] worker_thread+0x1a4/0x232
[<ffffffffa02a2335>] ? iwl_bg_scan_completed+0x0/0x17a [iwlcore]
[<ffffffff81064817>] ? autoremove_wake_function+0x0/0x34
[<ffffffff81060b99>] ? worker_thread+0x0/0x232
[<ffffffff810643c7>] kthread+0x7a/0x82
[<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
[<ffffffff8106434d>] ? kthread+0x0/0x82
[<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10

Version-Release number of selected component (if applicable):
Fedora 13 RC-2
kernel-2.6.33.3-85.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from linville@redhat.com on 2010-06-02 11:02:06 EDT ---

Created an attachment (id=419060)
iwlwifi-cancel-scan-watchdog-in-iwl_bg_abort_scan.patch

--- Additional comment from linville@redhat.com on 2010-06-02 11:03:07 EDT ---

Test kernels w/ above patch building here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2225224

Give them a try?  Can you replicate the problem with those kernels?

--- Additional comment from mishu@piatafinanciara.ro on 2010-06-02 11:30:34 EDT ---

I will try and report what are the results.

--- Additional comment from linville@redhat.com on 2010-06-09 14:07:50 EDT ---

Ping?  Koji won't keep those test kernels forever...

--- Additional comment from mishu@piatafinanciara.ro on 2010-06-13 04:45:54 EDT ---

After more suspend/resume cycles I can confirm that kernel from http://koji.fedoraproject.org/koji/taskinfo?taskID=2225224 fixed this bug.

--- Additional comment from mishu@piatafinanciara.ro on 2010-06-13 05:03:26 EDT ---

Many thanks!!

Comment 1 Fedora Update System 2010-07-07 07:50:53 UTC
kernel-2.6.32.16-141.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.32.16-141.fc12

Comment 2 Fedora Update System 2010-07-07 07:58:29 UTC
kernel-2.6.32.16-141.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.32.16-141.fc12

Comment 3 Fedora Update System 2010-07-07 17:49:14 UTC
kernel-2.6.32.16-141.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.32.16-141.fc12

Comment 4 Fedora Update System 2010-07-13 07:48:44 UTC
kernel-2.6.32.16-141.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.